import { EntityRepository, Repository } from "typeorm";
import { UpdateAboutPageCmsDto } from "./dto/update-about-page-cms.dto";
import { AboutPageCms } from "./entities/about-page-cms.entity";

@EntityRepository(AboutPageCms)
export class AboutPageCmsRepository extends Repository<AboutPageCms> {

    async createEntity(dto: UpdateAboutPageCmsDto): Promise<AboutPageCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subTitle: dto.subTitle,
                description: dto.description,
                address: dto.address,
                contactNumber: dto.contactNumber,
                email: dto.email,
                imageOne: dto.imageOne,
                imageTwo: dto.imageTwo,
                imageThree: dto.imageThree,
                sectionTwoTitle: dto.sectionTwoTitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateAboutPageCmsDto, id: string): Promise<AboutPageCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subTitle: dto.subTitle,
                description: dto.description,
                address: dto.address,
                contactNumber: dto.contactNumber,
                email: dto.email,
                imageOne: dto.imageOne,
                imageTwo: dto.imageTwo,
                imageThree: dto.imageThree,
                sectionTwoTitle: dto.sectionTwoTitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<AboutPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}