import { Module } from "@nestjs/common";
import { ArticleDetailsCmsService } from "./article-details-cms.service";
import { ArticleDetailsCmsController } from "./article-details-cms.controller";
import { TypeOrmModule } from "@nestjs/typeorm";
import { ArticleDetailsCmsRepository } from "./article-details-cms.repository";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ArticleDetailsCmsRepository])
    ],
    controllers: [ArticleDetailsCmsController],
    providers: [ArticleDetailsCmsService, JwtHelper]
})
export class ArticleDetailsCmsModule {
}
