import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { UsersRepository } from "src/modules/users/user.repository";
import { HomePageSectionFourSliderController } from "./home-page-section-four-slider.controller";
import { HomePageSectionFourSliderRepository } from "./home-page-section-four-slider.repository";
import { HomePageSectionFourSliderService } from "./home-page-section-four-slider.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([HomePageSectionFourSliderRepository])
    ],
    controllers: [HomePageSectionFourSliderController],
    providers: [HomePageSectionFourSliderService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class HomePageSectionFourSliderModule {
}
