import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { HomePageNewDropsBannerController } from "./home-page-new-drops-banner.controller";
import { HomePageNewDropsBannerRepository } from "./home-page-new-drops-banner.repository";
import { HomePageNewDropsBannerService } from "./home-page-new-drops-banner.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([HomePageNewDropsBannerRepository])
    ],
    controllers: [HomePageNewDropsBannerController],
    providers: [HomePageNewDropsBannerService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class HomePageNewDropsBannerModule {
}
